Subject: Re: bug#61394: 30.0.50; [PATCH] Image-dired thumb name based on content

From: Manuel Giraud <[email-masked]>
Date: Wed, 02 Aug 2023 20:00:19 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Tue, 01 Aug 2023 19:05:52 +0200
>> 
>> Manuel Giraud <[email-masked]> writes:
>> 
>> > Hi,
>> >
>> > FTR, there is a thing that does not work with this "thumb name based on
>> > content": upon rotation the thumb is not updated properly.
>> >
>> > This comes from the fact that the image content has changed (obviously)
>> > so the new thumb will have a new name and is not displayed in the
>> > *image-dired* buffer 😅.  I'd have to find a way around it.
>> 
>> Hi,
>> 
>> So here is a patch that fixes this issue.  Thanks.
>
> Thanks.  Maybe I'm missing something, but isn't the problem limited to
> just one method of naming the thumbnail files?  If so, shouldn't these
> changes be limited to that method alone?

Yes.  First I had a test about the method around the call to
'image-dired-update-thumbnail-at-point' but then I realize that nothing
will be done for others methods as I'm doing a test on the thumb name
change:
        ... (unless (string= thumb old-thumb) ...
-- 
Manuel Giraud